# Accessia SDK

Accessia’s SDK provides services for:

* Authentication with Accessia’s cloud backend
* Communication with nearby Accessia doors for access
* Monitoring user location while on site

## Requirements

The SDK requires the following `Background Modes` capabilities:

* `Location updates`
* `Uses Bluetooth LE accessories`
* `Uses Nearby Interaction`

And requires the respective Privacy strings to be defined i.e. `NSBluetoothAlwaysUsageDescription`, `NSLocationAlwaysAndWhenInUseUsageDescription`, `NSLocationWhenInUseUsageDescription`, and `NSNearbyInteractionUsageDescription`.

## Configuration

1. At the entry point of your application call `AccessiaSDK.configure(delegate:logger:)`
2. To authenticate you must provide a pair of bearer tokens, namely authentication and refresh, to `AccessiaSDK.signIn(customerHost:accessToken:refreshToken:expiresIn:)`
3. Call `AccessiaSDK.startServices()` to start the location service and door service

## Get started

Speak with your Accessia account manager or partner for access to the full SDK


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accessia.com/accessia-app/accessia-for-ios/accessia-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
